#
# slapd.oc.conf
#
objectclass top
	oid 2.5.6.0
	requires
		objectClass
	allows
		aci

objectclass alias
	oid 2.5.6.1
	superior top
	requires
		aliasedObjectName

objectclass country
	oid 2.5.6.2
	superior top
	requires
		c
	allows
		searchGuide,
		description

objectclass locality
	oid 2.5.6.3
	superior top
	allows
		description,
		l,
		searchGuide,
		seeAlso,
		st,
		street

objectclass organization
	oid 2.5.6.4
	superior top
	requires
		o
	allows
		businessCategory,
		description,
		destinationIndicator,
		facsimileTelephoneNumber,
		internationaliSDNNumber,
		l,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		preferredDeliveryMethod,
		registeredAddress,
		searchGuide,
		seeAlso,
		st,
		street,
		telephoneNumber,
		teletexTerminalIdentifier,
		telexNumber,
		userPassword,
		x121Address

objectclass organizationalUnit
	oid 2.5.6.5
	superior top
	requires
		ou
	allows
		businessCategory,
		description,
		destinationIndicator,
		facsimileTelephoneNumber,
		internationaliSDNNumber,
		l,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		preferredDeliveryMethod,
		registeredAddress,
		searchGuide,
		seeAlso,
		st,
		street,
		telephoneNumber,
		teletexTerminalIdentifier,
		telexNumber,
		userPassword,
		x121Address

objectclass person
	oid 2.5.6.6
	superior top
	requires
		sn,
		cn
	allows
		description,
		seeAlso,
		telephoneNumber,
		userPassword

objectclass organizationalPerson
	oid 2.5.6.7
	superior person
	allows
		destinationIndicator,
		facsimileTelephoneNumber,
		internationaliSDNNumber,
		l,
		ou,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		preferredDeliveryMethod,
		registeredAddress,
		st,
		street,
		teletexTerminalIdentifier,
		telexNumber,
		title,
		x121Address

objectclass inetOrgPerson
    oid 2.16.840.1.113730.3.2.2
    superior organizationalPerson
	allows
		audio,
		businessCategory,
		carLicense,
		departmentNumber,
		employeeType,
		employeeNumber,
		givenName,
		homePhone,
		homePostalAddress,
		initials,
		jpegPhoto,
		labeledURI,
		manager,
		mobile,
		pager,
		photo,
		preferredLanguage,
		mail,
		roomNumber,
		secretary,
		uid,
		x500uniqueIdentifier,
		userCertificate,
		userCertificate;binary,
		userSMimeCertificate;binary
 
objectclass ntUser
	oid 2.16.840.1.113730.3.2.8
	superior top
	requires
		ntUserDomainId
	allows
		description,
		l,
		ou,
		seeAlso,
		ntUserPriv,
		ntUserHomeDir,
		ntUserComment,
		ntUserFlags,
		ntUserScriptPath,
		ntUserAuthFlags,
		ntUserUsrComment,
		ntUserParms,
		ntUserWorkstations,
		ntUserLastLogon,
		ntUserLastLogoff,
		ntUserAcctExpires,
		ntUserMaxStorage,
		ntUserUnitsPerWeek,
		ntUserLogonHours,
		ntUserBadPwCount,
		ntUserNumLogons,
		ntUserLogonServer,
		ntUserCountryCode,
		ntUserCodePage,
		ntUserUniqueId,
		ntUserPrimaryGroupId,
		ntUserProfile,
		ntUserHomeDirDrive,
		ntUserPasswordExpired,
		ntUserCreateNewAccount,
		ntUserDeleteAccount

objectclass ntGroup
	oid 2.16.840.1.113730.3.2.9
	superior top
	requires
		ntGroupDomainId
	allows
		description,
		l,
		ou,
		seeAlso,
		ntGroupId,
		ntGroupAttributes,
		ntGroupCreateNewGroup,
		ntGroupDeleteGroup

objectclass organizationalRole
   oid 2.5.6.8
   superior top  
	requires
		cn
	allows
		description,
		destinationIndicator,
		facsimileTelephoneNumber,
		internationaliSDNNumber,
		l,
		ou,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		preferredDeliveryMethod,
		registeredAddress,
		roleOccupant,
		seeAlso,
		st,
		street,
		telephoneNumber,
		teletexTerminalIdentifier,
		telexNumber,
		x121Address

objectclass groupOfNames
   oid 2.5.6.9
   superior top  
	requires
		cn
	allows
		member,
		memberURL,
		businessCategory,
		description,
		o,
		ou,
		owner,
		seeAlso

objectclass groupOfUniqueNames
    oid 2.5.6.17
    superior top  
	requires
		cn
	allows
		uniqueMember,
		memberURL,
		businessCategory,
		description,
		o,
		ou,
		owner,
		seeAlso

objectclass groupOfCertificates
    oid 2.16.840.1.113730.3.2.31
    superior top  
	requires
		cn
	allows
		memberCertificateDescription,
		businessCategory,
		description,
		o,
		ou,
		owner,
		seeAlso

objectclass residentialPerson
   oid 2.5.6.10
   superior person  
	requires
		l
	allows
		businessCategory,
		destinationIndicator,
		facsimileTelephoneNumber,
		internationaliSDNNumber,
		l,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		preferredDeliveryMethod,
		registeredAddress,
		st,
		street,
		teletexTerminalIdentifier,
		telexNumber,
		x121Address

objectclass applicationProcess
    oid 2.5.6.11
    superior top  
	requires
		cn
	allows
		description,
		l,
		ou,
		seeAlso

objectclass LDAPServer
	oid LDAPServer-OID
	superior top
	requires
		cn
	allows
		description,
		l,
		ou,
		seeAlso,
		generation,
		changeLogMaximumAge,
		changeLogMaximumSize

objectclass LDAPReplica
	oid LDAPReplica-OID
	superior top
	requires
		cn
	allows
		description,
		l,
		ou,
		seeAlso,
		replicaRoot,
		replicaHost,
		replicaPort,
		replicaBinddn,
		replicaCredentials,
		replicaBindMethod,
		replicaUseSSL,
		replicaUpdateSchedule,
		replicaUpdateReplayed,
		replicaUpdateFailedAt,
                replicaBeginORC,
		replicaNickname,
		replicaEntryFilter,
		replicatedAttributeList

objectclass applicationEntity
    oid 2.5.6.12
    superior top  
	requires
		presentationAddress,
		cn
	allows
		description,
		l,
		o,
		ou,
		seeAlso,
		supportedApplicationContext

objectclass dSA
   oid 2.5.6.13
   superior applicationEntity  
	allows
		knowledgeInformation

objectclass device
    oid 2.5.6.14
    superior top  
	requires
		cn
	allows
		description,
		l,
		o,
		ou,
		owner,
		seeAlso,
		serialNumber

objectclass strongAuthenticationUser
    oid 2.5.6.15
    superior top 
	requires
		userCertificate,
		userCertificate;binary

objectclass certificationAuthority
    oid 2.5.6.16
    superior top 
	requires
		cACertificate;binary
	allows
		authorityRevocationList;binary,
		certificateRevocationList;binary,
		crossCertificatePair;binary

objectclass pilotObject
    oid 0.9.2342.19200300.100.4.3
    superior top  
	allows
		audio,
		dITRedirect,
		info,
		jpegPhoto,
		lastModifiedBy,
		lastModifiedTime,
		manager,
		photo,
		uniqueIdentifier

objectclass newPilotPerson
    oid 0.9.2342.19200300.100.4.4
    superior person 
	allows
		businessCategory,
		drink,
		homePhone,
		homePostalAddress,
		janetMailbox,
		mail,
		mailPreferenceOption,
		mobile,
		organizationalStatus,
		otherMailbox,
		pager,
		personalSignature,
		personalTitle,
		preferredDeliveryMethod,
		roomNumber,
		secretary,
		textEncodedORaddress,
		uid,
		userClass

objectclass account
    oid 0.9.2342.19200300.100.4.5
    superior top  
    requires
		uid
	allows
		description,
		host,
		l,
		o,
		ou,
		seeAlso

objectclass document
    oid 0.9.2342.19200300.100.4.6
    superior pilotObject 
	requires
		documentIdentifier
	allows
		abstract,
		authorCN,
		authorSN,
		cn,
		description,
		documentAuthor,
		documentLocation,
		documentPublisher,
		documentStore,
		documentTitle,
		documentVersion,
		keywords,
		l,
		o,
		obsoletedByDocument,
		obsoletesDocument,
		ou,
		seeAlso,
		subject,
		updatedByDocument,
		updatesDocument

objectclass room
    oid 0.9.2342.19200300.100.4.7
    superior top  
	requires
		cn
	allows
		description,
		roomNumber,
		seeAlso,
		telephoneNumber

objectclass documentSeries
    oid 0.9.2342.19200300.100.4.9
    superior top  
	requires
		cn
	allows
		description,
		l,
		o,
		ou,
		seeAlso,
		telephoneNumber

objectclass domain
    oid 0.9.2342.19200300.100.4.13
    superior top  
	requires
		dc
	allows
		associatedName,
		businessCategory,
		description,
		destinationIndicator,
		facsimileTelephoneNumber,
		internationaliSDNNumber,
		l,
		manager,
		o,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		preferredDeliveryMethod,
		registeredAddress,
		searchGuide,
		seeAlso,
		st,
		street,
		telephoneNumber,
		teletexTerminalIdentifier,
		telexNumber,
		userPassword,
		x121Address

objectclass RFC822localPart
    oid 0.9.2342.19200300.100.4.14
    superior domain 
	allows
		cn,
		sn

objectclass DNSDomain
    oid 0.9.2342.19200300.100.4.15
    superior domain  
	allows
		dNSRecord

objectclass domainRelatedObject
    oid 0.9.2342.19200300.100.4.17
    superior top 
	requires
		associatedDomain

objectclass friendlyCountry
    oid 0.9.2342.19200300.100.4.18
    superior country 
	requires
		co

objectclass simpleSecurityObject
	oid 0.9.2342.19200300.100.4.19
	superior top 
	requires
		userPassword

objectclass pilotOrganization
	oid pilotOrganization-OID
	superior top
	requires
		ou,
		o
	allows
		buildingName,
		businessCategory,
		description,
		destinationIndicator,
		facsimileTelephoneNumber,
		internationaliSDNNumber,
		l,
		physicalDeliveryOfficeName,
		postOfficeBox,
		postalAddress,
		postalCode,
		preferredDeliveryMethod,
		registeredAddress,
		searchGuide,
		seeAlso,
		st,
		street,
		telephoneNumber,
		teletexTerminalIdentifier,
		telexNumber,
		userPassword,
		x121Address


objectclass labeledURIObject
	superior top
	allows
		labeledURI

objectclass cacheObject
	superior top
	allows
		ttl

# objectclasses below added since Netscape Directory Server 1.01

objectclass netscapeServer 
	oid 2.16.840.1.113730.3.2.10
	superior top
	requires 
		cn 
	allows 
		description,
		serverRoot,
		serverProductName,
		serverVersionNumber,
		installationTimeStamp,
		administratorContactInfo,
		userpassword,
		adminURL,
		serverHostName

objectclass nsLicenseUser
	oid 2.16.840.1.113730.3.2.7
	superior top
	allows
		nsLicensedFor,
		nsLicenseStartTime,
		nsLicenseEndTime

objectclass changeLogEntry
	oid 2.16.840.1.113730.3.2.1
	superior top
	requires
		targetdn,
		changetime,
		changenumber,
		changetype
	allows
		changes,
		newrdn,
		deleteoldrdn,
		newsuperior,
		filterinfo

objectclass cirReplicaSource
	oid 2.16.840.1.113730.3.2.11
	requires 
		cn
	allows
		cirReplicaRoot,
                cirHost,
                cirPort,
                cirBindDN,
                cirUsePersistentSearch,
                cirUseSSL,
                cirBindCredentials,
                cirLastUpdateApplied,
                cirUpdateSchedule,
                cirSyncInterval,
                cirUpdateFailedAt,
                cirBeginORC,
                replicaNickname,
		replicaEntryFilter,
		replicatedAttributeList

objectclass referral
	oid 2.16.840.1.113730.3.2.6
	allows
		ref

objectclass passwordObject
		oid  2.16.840.1.113730.3.2.12
        requires
                objectClass
        allows
                passwordExpirationTime,
                passwordExpWarned,
                passwordRetryCount,
                retryCountResetTime,
                accountUnlockTime,
                passwordHistory

objectclass passwordPolicy
		oid  2.16.840.1.113730.3.2.13
        requires
                objectClass
        allows
			passwordMaxAge,		
			passwordExp,
			passwordMinLength,
			passwordKeepHistory,
			passwordInHistory,
			passwordChange,
			passwordWarning,
			passwordLockout,
			passwordMaxFailure,
			passwordResetDuration,
			passwordUnlock,
			passwordLockoutDuration,
			passwordCheckSyntax

objectclass glue
		oid  2.16.840.1.113730.3.2.30
		superior top

objectclass netscapeMachineData
		oid  2.16.840.1.113730.3.2.32
		superior top


#
# objectClasses for VPIM schema, added by George Aprotosoaie, 
#Nortel, on Nov 24, 1997 after VPIM Directory Schema Definition & Profile
# <draft-ema-vpimdir-schema-00.txt>, Nov 18, 1997
#

objectclass e164Node
	oid 2.16.840.1.113694.1.2.1.2.1
	superior top
	requires
		e164Digit

objectclass vPIMUser
	oid 2.16.840.1.113694.1.2.1.2.2
	superior top
    allows
		vPIMrfc822Mailbox,
		cn,
		vPIMSpokenName,
		vPIMSpokenName1,
		vPIMSpokenName2,
		vPIMSpokenName3,
		vPIMSpokenName4,
		vPIMSupportedEncodingTypes,
		vPIMMaxMessageSize
	